<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ComponentResult Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d0e/class_component_result.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ComponentResult Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7d882d244e75a1ca8dd4ba15348de4a1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d0e/class_component_result.html#a7d882d244e75a1ca8dd4ba15348de4a1">ComponentPos</a></td></tr>
<tr class="separator:a7d882d244e75a1ca8dd4ba15348de4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c9105d04f100f45351dd9d1efb53272"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d0e/class_component_result.html#a0c9105d04f100f45351dd9d1efb53272">ComponentAngle</a></td></tr>
<tr class="separator:a0c9105d04f100f45351dd9d1efb53272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adccdd887b68b5f059201d12436c880e6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d0e/class_component_result.html#adccdd887b68b5f059201d12436c880e6">ComponentDistance2</a></td></tr>
<tr class="separator:adccdd887b68b5f059201d12436c880e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6550203f42ccafe9895b10c48a8b3eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d0e/class_component_result.html#af6550203f42ccafe9895b10c48a8b3eb">ComponentIdx</a></td></tr>
<tr class="separator:af6550203f42ccafe9895b10c48a8b3eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html#l00064">64</a> of file <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a0c9105d04f100f45351dd9d1efb53272" name="a0c9105d04f100f45351dd9d1efb53272"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c9105d04f100f45351dd9d1efb53272">&#9670;&#160;</a></span>ComponentAngle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ComponentResult::ComponentAngle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html#l00067">67</a> of file <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a>.</p>

</div>
</div>
<a id="adccdd887b68b5f059201d12436c880e6" name="adccdd887b68b5f059201d12436c880e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adccdd887b68b5f059201d12436c880e6">&#9670;&#160;</a></span>ComponentDistance2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ComponentResult::ComponentDistance2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html#l00068">68</a> of file <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a>.</p>

</div>
</div>
<a id="af6550203f42ccafe9895b10c48a8b3eb" name="af6550203f42ccafe9895b10c48a8b3eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6550203f42ccafe9895b10c48a8b3eb">&#9670;&#160;</a></span>ComponentIdx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ComponentResult::ComponentIdx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html#l00069">69</a> of file <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a>.</p>

</div>
</div>
<a id="a7d882d244e75a1ca8dd4ba15348de4a1" name="a7d882d244e75a1ca8dd4ba15348de4a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d882d244e75a1ca8dd4ba15348de4a1">&#9670;&#160;</a></span>ComponentPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> ComponentResult::ComponentPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html#l00066">66</a> of file <a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../d6/d36/_melee_targeting_8c_source.html">MeleeTargeting.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/d0e/class_component_result.html">ComponentResult</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
